package net.woodyfolsom.msproj;

import net.woodyfolsom.msproj.GameBoard;
import net.woodyfolsom.msproj.GameState;
import net.woodyfolsom.msproj.TerritoryMarker;

import org.junit.Test;

public class TerritoryFinderTest {
	@Test
	public void testMarkTerritory() {
		GameState gameState = new GameState(5);
		
		gameState.playStone('A',2,GameBoard.BLACK_STONE);
		gameState.playStone('B',3,GameBoard.BLACK_STONE);
		gameState.playStone('C',2,GameBoard.BLACK_STONE);
		gameState.playStone('B',1,GameBoard.BLACK_STONE);
		gameState.playStone('E',5,GameBoard.WHITE_STONE);
		
		TerritoryMarker.markTerritory(gameState.getGameBoard());
		System.out.println(gameState);
	}
}
